Bug 1805996 - Review Request: uswds-public-sans-fonts - A strong, neutral, principles-driven, sans-serif latin font family
Summary: Review Request: uswds-public-sans-fonts - A strong, neutral, principles-drive...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-21 19:50 UTC by Nicolas Mailhot
Modified: 2020-03-31 00:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 00:16:10 UTC
Type: ---
panemade: fedora-review+


Attachments (Terms of Use)

Description Nicolas Mailhot 2020-02-21 19:50:49 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/nim/fonts-rpm-macros/fedora-rawhide-x86_64/01240888-uswds-public-sans-fonts/uswds-public-sans-fonts.spec

SRPM URL: https://download.copr.fedorainfracloud.org/results/nim/fonts-rpm-macros/fedora-rawhide-x86_64/01240888-uswds-public-sans-fonts/uswds-public-sans-fonts-1.008-1.fc33.src.rpm

Description:
Public Sans is a fork of the Libre Franklin font family. Libre Franklin is a
reinterpretation and expansion of the 1912 Morris Fuller Benton’s classic.
Public Sans has many similarities with its parent, but diverges enough in its
particulars that its effect is distinct.

Overall, Public Sans differs from Libre Franklin in its focus on longform
reading and neutral UI applicability. It takes inspiration from geometric sans
faces of the 20th century, as well as the original Franklins of the 19th,
resulting in something of a mongrel face that retains its American origin.

Public Sans is designed to work well with Apple and Google system fonts as the
base in its font stack. It’s designed to have metrics most similar to SF Pro
Text (the Apple system font) and to fall somewhere between SF Pro Text and
Roboto (the Google system font) in its overall size and appearance.

Fedora Account System Username: nim


The United States Web Design System font family

The packaging conforms to https://pagure.io/packaging-committee/issue/935
as approved by FPC on 2020-02-13.

It makes use of our forge automation:
https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/

It is one of the test packages that were used to refine the new packaging guidelines
https://copr.fedorainfracloud.org/coprs/nim/fonts-rpm-macros/

The new fonts packaging build chain is now live in koji. For example:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1468243

If the review is fast enough the package may make the FC32 100% Cod

Comment 2 Parag AN(पराग) 2020-03-15 16:19:53 UTC
Review:

This package follows new fonts packaging guidelines.

Rpmlint
-------
Checking: uswds-public-sans-fonts-1.008-3.fc33.noarch.rpm
          uswds-public-sans-fonts-1.008-3.fc33.src.rpm
uswds-public-sans-fonts.noarch: W: spelling-error %description -l en_US Libre -> Libra, Lire, Lib re
uswds-public-sans-fonts.src: W: spelling-error %description -l en_US Libre -> Libra, Lire, Lib re
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Source checksums
----------------
https://github.com/uswds/public-sans/archive/v1.008/public-sans-1.008.tar.gz :
  CHECKSUM(SHA256) this package     : 11672fd79d0ebd16ef90f94fda61054ea69ea9145ded03a8bdd7b304318f3aa5
  CHECKSUM(SHA256) upstream package : 11672fd79d0ebd16ef90f94fda61054ea69ea9145ded03a8bdd7b304318f3aa5


Requires
--------
uswds-public-sans-fonts (rpmlib, GLIBC filtered):
    config(uswds-public-sans-fonts)
    fontpackages-filesystem



Provides
--------
uswds-public-sans-fonts:
    config(uswds-public-sans-fonts)
    font(publicsans)
    font(publicsansblack)
    font(publicsansextrabold)
    font(publicsansextralight)
    font(publicsanslight)
    font(publicsansmedium)
    font(publicsanssemibold)
    font(publicsansthin)
    metainfo()
    metainfo(org.fedoraproject.uswds-public-sans-fonts.metainfo.xml)
    uswds-public-sans-font

APPROVED

Comment 3 Gwyn Ciesla 2020-03-16 13:15:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/uswds-public-sans-fonts

Comment 4 Fedora Update System 2020-03-16 16:11:22 UTC
FEDORA-2020-0eec56da79 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0eec56da79

Comment 5 Fedora Update System 2020-03-17 01:45:59 UTC
uswds-public-sans-fonts-1.008-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a3f4484e67

Comment 6 Fedora Update System 2020-03-17 02:49:01 UTC
uswds-public-sans-fonts-1.008-3.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0eec56da79

Comment 7 Fedora Update System 2020-03-31 00:16:10 UTC
FEDORA-2020-0eec56da79 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.